Package wx :: Package lib :: Module imagebrowser

[frames | no frames]

## Module wx.lib.imagebrowser

Classes
`FindFiles` |
`ImageClass` |
`ImageDialog` |
`ImagePanel` |
`ImageView` |

Function Summary
| `ConvertBMP(file_nm)`
| `getBlackBitmap()`
| `getBlackData()`
| `getBlackImage()`
| `getBoxFrameBitmap()`
| `getBoxFrameData()`
| `getBoxFrameImage()`
| `getCheckedBitmap()`
| `getCheckedData()`
| `getCheckedImage()`
| ``GetCheckeredBitmap`(blocksize, ntiles, rgb0, rgb1)` Creates a square RGB checkered bitmap using the two specified colors.
| `getCropFrameBitmap()`
| `getCropFrameData()`
| `getCropFrameImage()`
| `getGreyBitmap()`
| `getGreyData()`
| `getGreyImage()`
| `GetNamedBitmap(name)`
| `getNoFrameBitmap()`
| `getNoFrameData()`
| `getNoFrameImage()`
| `getWhiteBitmap()`
| `getWhiteData()`
| `getWhiteImage()`

Function Details

### GetCheckeredBitmap(blocksize=8, ntiles=4, rgb0='\xff', rgb1='\xcc')

    Creates a square RGB checkered bitmap using the two specified colors.

    Inputs:
    - blocksize:  the number of pixels in each solid color square
    - ntiles:  the number of tiles along width and height.  Each tile is 2x2 blocks.
    - rbg0,rgb1:  the first and second colors, as 3-byte strings.
                  If only 1 byte is provided, it is treated as a grey value.

    The bitmap returned will have width = height = blocksize*ntiles*2

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:32 2007 | http://epydoc.sf.net